Download it now!
Bug 42977 - LIbreoffice bundles rhino and swingExSrc without system switch
Summary: LIbreoffice bundles rhino and swingExSrc without system switch
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-16 02:30 UTC by Tomáš Chvátal
Modified: 2012-07-01 00:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Chvátal 2011-11-16 02:30:48 UTC
If one is building libreoffice with java enabled these two packages are bundled within:

798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip
35c94d2df8893241173de1d16b6034c0-swingExSrc.zip

There should be configure option to build this against system jars instead of using these bundled ones.
Comment 1 sasha.libreoffice 2012-04-20 07:53:01 UTC
Thanks for bugreport
How is current situation there?
Comment 2 Tomáš Chvátal 2012-04-20 11:15:25 UTC
It is still present.

Feel free to write patches for this.

I more focused on the other stuff, incorporating new stuff correctly over these issues. Thats why I opened this bug (now I think I should find some time to convert it to easy hack as we have gbuild custom target).
Comment 3 sasha.libreoffice 2012-04-20 22:36:17 UTC
Thanks for additional information
Comment 4 Not Assigned 2012-05-06 03:56:35 UTC
Tomas Chvatal committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32af02b32f1ab7f2683749e6c949470847175da0

Allow usage of system rhino wrt fdo#42977
Comment 5 Joel Madero 2012-07-01 00:44:19 UTC
I am closing this bug as it has been resolved according to the last comment and committed to master. Thanks Tomas for doing this :)